import { Component } from '@angular/core';
import { NavController } from 'ionic-angular';
import { Database } from "../../providers/database";

@Component({
    templateUrl: 'create.html',
})
export class CreatePage {

    public title: string;
    public secret: string;

    public constructor(private navCtrl: NavController, private database: Database) {
        this.title = "";
        this.secret = "";
    }

    public save() {
        if(this.title && this.secret) {
            this.database.create(this.title, this.secret).then(result => {
                this.navCtrl.pop();
            }, error => {
                console.error(error);
            });
        }
    }

}